> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration log search count from ClickHouse



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/integration/logs/clickhouse/count
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/logs/clickhouse/count:
    post:
      tags:
        - Integration
      summary: Get integration log search count from ClickHouse
      operationId: IntegrationController_getClickhouseIntegrationLogsCount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationLogSearchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClickhouseIntegrationLogCountResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    IntegrationLogSearchDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
          enum:
            - error
            - warning
            - info
            - debug
          description: Filter logs by type
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        timezone:
          type: string
          description: Timezone for log search results
        integrationId:
          type: string
          description: ID of the integration to search logs for
        day:
          type: string
          description: Specific day to search logs for
      required:
        - size
        - page
        - integrationId
    ClickhouseIntegrationLogCountResponse:
      type: object
      properties:
        totalCount:
          type: number
          description: Total count of integration logs matching the search criteria
      required:
        - totalCount
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````